3
$\begingroup$

I need to install torch in blender. I've Blender 2.92.0 version installed in Ubuntu 20.04.

While trying to ensurepip I've the following issue:

(base) paolo@paoloIns:/snap/blender/111/2.92/python$ sudo ./bin/python3.7m -m ensurepip
Looking in links: /tmp/tmpf8idgzxo
Collecting setuptools
Collecting pip
Installing collected packages: setuptools, pip
ERROR: Could not install packages due to an EnvironmentError: [Errno 30] Read-only file system: '/snap/blender/111/2.92/python/lib/python3.7/site-packages/easy_install.py'

How can I solve this "Errno 30" ?

$\endgroup$
3
  • $\begingroup$ Are you running the console in administrator mode ? $\endgroup$
    – Gorgious
    Commented May 3, 2021 at 6:16
  • $\begingroup$ Yes, I've used sudo before the command ./bin/python3.7m -m ensurepip $\endgroup$
    – PaoloRos
    Commented May 3, 2021 at 9:37
  • $\begingroup$ Try installing pip, ensurepip, and torch within blender's Text Editor. blender.stackexchange.com/a/283142/142292 $\endgroup$
    – Harry McKenzie
    Commented Jan 19, 2023 at 9:08

0

You must log in to answer this question.

Browse other questions tagged .